<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>TestSummaryComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/deployment-summary/test-summary/test-summary.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>test-summary</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./../deployment-summary.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./test-summary.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#translateMessageWithParameters">translateMessageWithParameters</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#operationStatus">operationStatus</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#isTestSiteAccessible">isTestSiteAccessible</a>
                                </li>
                                <li>
                                    <a href="#displayLinks">displayLinks</a>
                                </li>
                                <li>
                                    <a href="#testStatusIcon">testStatusIcon</a>
                                </li>
                                <li>
                                    <a href="#isTestStatusInError">isTestStatusInError</a>
                                </li>
                                <li>
                                    <a href="#inTestStatusMessage">inTestStatusMessage</a>
                                </li>
                                <li>
                                    <a href="#userBelongsToOperationManagementEntity">userBelongsToOperationManagementEntity</a>
                                </li>
                                <li>
                                    <a href="#goToVoteReceiver">goToVoteReceiver</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(translateService: TranslateService, authorizationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:20</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operation"></a>
                        <code>operation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:20</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operationStatus"></a>
                        <code>operationStatus</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:17</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="81" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:81</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="translateMessageWithParameters"></a>
                        <span class="name">
                            <b>
                            translateMessageWithParameters
                            </b>
                            <a href="#translateMessageWithParameters"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>translateMessageWithParameters(message: <a href="../interfaces/MessageWithParameters.html">MessageWithParameters</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="84" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:84</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>message</td>
                                                        <td>
                                                                    <code><a href="../interfaces/MessageWithParameters.html" target="_self" >MessageWithParameters</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isTestSiteAccessible"></a>
                        <span class="name"><b>isTestSiteAccessible</b><a href="#isTestSiteAccessible"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isTestSiteAccessible()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:25</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayLinks"></a>
                        <span class="name"><b>displayLinks</b><a href="#displayLinks"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayLinks()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:35</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-description"><p>Check if block containing URL of VR Site and/or testing cards archive should be displayed</p>
</div>

                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="testStatusIcon"></a>
                        <span class="name"><b>testStatusIcon</b><a href="#testStatusIcon"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>testStatusIcon()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:40</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isTestStatusInError"></a>
                        <span class="name"><b>isTestStatusInError</b><a href="#isTestStatusInError"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isTestStatusInError()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="62" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:62</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inTestStatusMessage"></a>
                        <span class="name"><b>inTestStatusMessage</b><a href="#inTestStatusMessage"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>inTestStatusMessage()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="69" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:69</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="userBelongsToOperationManagementEntity"></a>
                        <span class="name"><b>userBelongsToOperationManagementEntity</b><a href="#userBelongsToOperationManagementEntity"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>userBelongsToOperationManagementEntity()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="73" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:73</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="goToVoteReceiver"></a>
                        <span class="name"><b>goToVoteReceiver</b><a href="#goToVoteReceiver"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>goToVoteReceiver()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="77" class="link-to-prism">src/app/operation/deployment-summary/test-summary/test-summary.component.ts:77</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input, OnInit } from &#x27;@angular/core&#x27;;
import {
  COMPLETE, DEPLOYMENT_REFUSED, DEPLOYMENT_REQUESTED, IN_ERROR, IN_VALIDATION, INCOMPLETE, INVALIDATED,
  MessageWithParameters, NOT_REQUESTED, OperationStatus, TEST_SITE_IN_DEPLOYMENT, VALIDATED
} from &#x27;../../model/operation-status&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { AuthorizationService } from &#x27;../../../core/service/http/authorization.service&#x27;;

@Component({
  selector: &#x27;test-summary&#x27;,
  templateUrl: &#x27;./test-summary.component.html&#x27;,
  styleUrls: [&#x27;./../deployment-summary.component.scss&#x27;]
})
export class TestSummaryComponent implements OnInit {
  @Input()
  operationStatus: OperationStatus;

  @Input()
  operation: Operation;

  constructor(private translateService: TranslateService, private authorizationService: AuthorizationService) {
  }

  get isTestSiteAccessible() {
    return this.operationStatus.configurationStatus.state &#x3D;&#x3D;&#x3D; IN_VALIDATION ||
           this.operationStatus.tallyArchiveStatus.state &#x3D;&#x3D;&#x3D; NOT_REQUESTED &amp;&amp;
           (this.operationStatus.votingPeriodStatus.state &#x3D;&#x3D;&#x3D; VALIDATED &amp;&amp;
           this.operation.date &gt;&#x3D; new Date(Date.now()));
  }

  /**
   * Check if block containing URL of VR Site and/or testing cards archive should be displayed
   */
  get displayLinks() {
    return this.operationStatus.configurationStatus.state &#x3D;&#x3D;&#x3D; IN_VALIDATION ||
           this.operationStatus.configurationStatus.state &#x3D;&#x3D;&#x3D; VALIDATED;
  }

  get testStatusIcon() {
    switch (this.operationStatus.configurationStatus.state) {
      case INCOMPLETE :
      case DEPLOYMENT_REQUESTED :
        return &quot;info_outline&quot;;
      case COMPLETE:
      case VALIDATED:
        return &quot;check&quot;;
      case TEST_SITE_IN_DEPLOYMENT:
        return &quot;timelapse&quot;;
      case IN_VALIDATION:
        return &quot;assignment&quot;;
      case INVALIDATED:
      case DEPLOYMENT_REFUSED:
        return &quot;cancel&quot;;
      case IN_ERROR:
        return &quot;error&quot;;
      default :
        return null;
    }
  }

  get isTestStatusInError() {
    const state &#x3D; this.operationStatus.configurationStatus.state;
    return state &#x3D;&#x3D;&#x3D; INVALIDATED ||
           state &#x3D;&#x3D;&#x3D; DEPLOYMENT_REFUSED ||
           state &#x3D;&#x3D;&#x3D; IN_ERROR;
  }

  get inTestStatusMessage() {
    return this.translateMessageWithParameters(this.operationStatus.inTestStatusMessage);
  }

  get userBelongsToOperationManagementEntity() {
    return this.operation.managementEntity &#x3D;&#x3D;&#x3D; this.authorizationService.userSnapshot.managementEntity;
  }

  get goToVoteReceiver() {
    return window.open(this.operationStatus.configurationStatus.voteReceiverUrl, &quot;vote_receiver&quot;);
  }

  ngOnInit() {
  }

  translateMessageWithParameters(message: MessageWithParameters) {
    return this.translateService.instant(message.message, message.parameters);
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card id&#x3D;&quot;testDeploymentSummaryCard&quot; class&#x3D;&quot;site-card&quot;&gt;
  &lt;mat-card-header class&#x3D;&quot;site-card-test&quot;&gt;
    &lt;mat-card-title class&#x3D;&quot;site-name&quot;&gt;
      {{&#x27;deployment-summary.test.name&#x27; | translate | uppercase}}
    &lt;/mat-card-title&gt;
  &lt;/mat-card-header&gt;
  &lt;mat-card-content fxLayout&#x3D;&quot;row wrap&quot;&gt;
    &lt;!-- status messages --&gt;
    &lt;div fxLayout fxLayoutGap&#x3D;&quot;1rem&quot; class&#x3D;&quot;site-info italic&quot;&gt;
      &lt;mat-icon fxFlexAlign&#x3D;&quot;center&quot; *ngIf&#x3D;&quot;testStatusIcon&quot;&gt;
        {{testStatusIcon}}
      &lt;/mat-icon&gt;

      &lt;span id&#x3D;&quot;testStatusMessage&quot; fxFlexAlign&#x3D;&quot;center&quot; [class.site-error]&#x3D;&quot;isTestStatusInError&quot;&gt;
            {{inTestStatusMessage}}
          &lt;/span&gt;
    &lt;/div&gt;

    &lt;!-- site access links --&gt;
    &lt;div *ngIf&#x3D;&quot;displayLinks&quot; fxLayout fxFill fxLayoutAlign&#x3D;&quot;end&quot;&gt;
      &lt;mat-divider&gt;&lt;/mat-divider&gt;
      &lt;button color&#x3D;&quot;primary&quot; *ngIf&#x3D;&quot;isTestSiteAccessible&quot; (click)&#x3D;&quot;goToVoteReceiver&quot; mat-button&gt;
        &lt;mat-icon&gt;language&lt;/mat-icon&gt;
        {{&#x27;deployment-summary.test.link.site&#x27; | translate | uppercase}}
      &lt;/button&gt;
      &lt;test-site-cards-download-button *ngIf&#x3D;&quot;userBelongsToOperationManagementEntity&quot;
                                       [operation]&#x3D;&quot;operation&quot;&gt;&lt;/test-site-cards-download-button&gt;
    &lt;/div&gt;
  &lt;/mat-card-content&gt;
&lt;/mat-card&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./../deployment-summary.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.site-card {

  border-radius: 1rem;

  .mat-card-header {
    min-height: 2.5rem;
    border-radius: 1rem 1rem 0 0;
  }

  .site-name {
    font-size: 1.5rem !important;
    font-weight: bold !important;
    padding: 1rem 1rem 0;
  }

  .site-info {
    margin-top: 0.5rem !important;
    font-size: 1.4rem;
  }

  mat-icon.site-error {
    font-size: 3rem;
  }

  .site-info.italic {
    font-style: italic;
  }
}


voting-material-creation-progress {
  opacity: 1;
  transition: all 0.3s;
  z-index: 1;
  position: relative;
}

voting-material-creation-progress.faded {
  opacity: 0;
  overflow: hidden;
  position: absolute;
  height: 0;
  width: 0;
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card id="testDeploymentSummaryCard" class="site-card">  <mat-card-header class="site-card-test">    <mat-card-title class="site-name">      {{\'deployment-summary.test.name\' | translate | uppercase}}    </mat-card-title>  </mat-card-header>  <mat-card-content fxLayout="row wrap">    <!-- status messages -->    <div fxLayout fxLayoutGap="1rem" class="site-info italic">      <mat-icon fxFlexAlign="center" *ngIf="testStatusIcon">        {{testStatusIcon}}      </mat-icon>      <span id="testStatusMessage" fxFlexAlign="center" [class.site-error]="isTestStatusInError">            {{inTestStatusMessage}}          </span>    </div>    <!-- site access links -->    <div *ngIf="displayLinks" fxLayout fxFill fxLayoutAlign="end">      <mat-divider></mat-divider>      <button color="primary" *ngIf="isTestSiteAccessible" (click)="goToVoteReceiver" mat-button>        <mat-icon>language</mat-icon>        {{\'deployment-summary.test.link.site\' | translate | uppercase}}      </button>      <test-site-cards-download-button *ngIf="userBelongsToOperationManagementEntity"                                       [operation]="operation"></test-site-cards-download-button>    </div>  </mat-card-content></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'TestSummaryComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'TestSummaryComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
